package com.bonus.sgzb.system.domain;

import com.bonus.sgzb.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 新购短信通知人员对象
 * 
 * @author bonus
 * @date 2023-12-16
 */
public class PurchaseNoticePerson extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户id */
    @ApiModelProperty(value = "用户id")
    private Long userId;

    /** 部门id */
    @ApiModelProperty(value = "用户id")
    private Long deptId;

    /** 用户昵称 */
    @ApiModelProperty(value = "用户昵称")
    private String nickName;

    /** 用户名称 */
    @ApiModelProperty(value = "用户名称")
    private String userName;

    /** 手机号 */
    @ApiModelProperty(value = "手机号")
    private String telphone;

    /** 用户角色 */
    @ApiModelProperty(value = "用户角色")
    private String roleName;

    /** 用户角色 */
    @ApiModelProperty(value = "用户角色Id")
    private Long roleId;

    /** 所属机构名称 */
    @ApiModelProperty(value = "所属机构名称")
    private String deptName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setTelphone(String telphone) 
    {
        this.telphone = telphone;
    }

    public String getTelphone() 
    {
        return telphone;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("telphone", getTelphone())
            .toString();
    }
}
